LibOFX does not compile under gcc-4.3. Patch attached

Ken Moffat zarniwhoop at ntlworld.com
Tue Apr 21 05:14:42 PDT 2009


On Mon, Apr 20, 2009 at 10:14:11PM +0200, Dr. Edgar Alwers wrote:
> Hi Simon,
> 
> thank you for your explanations. I worked out a patch file for the official 
> libofx-0.9.1 file pointed to by the BLFS book.
> With this patch now libofx-0.9.1 builds also under gcc-4.3.
> The patch bases on the Debian files published under 
> 	https://launchpad.net/debian/squeeze/+source/libofx/1:0.9.0-3
> I modified only the Debian specific issues.
> Would you include it in the BLFS-Book ? Or what is the right way ?
> Regards,
> Edgar

 The format for patches is at
http://www.linuxfromscratch.org/patches/submit.html

 I could probably work out some of these fields from what you have
posted earlier.  For Upstream Status, some variant of "unknown" is
usually acceptable if you can't establish it.

 The patch version needs to be modified, "libofx-0.9.1-3.patch" is
wrong because it isn't the third patch in BLFS and doesn't specify
what it fixes.  Perhaps -gcc43-1.patch or -gcc43_fixes-1.patch.

 Posting here is ok (IMHO).

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the blfs-support mailing list